package domain


type AlibabaWdkSupplierRefundListOrderSyncRefundChannel struct {
    /*
        refundOrderId     */
    RefundOrderId  *int64 `json:"refund_order_id,omitempty" `

    /*
        refundChannel     */
    RefundChannel  *int64 `json:"refund_channel,omitempty" `

    /*
        refundAmount     */
    RefundAmount  *int64 `json:"refund_amount,omitempty" `

}

func (s *AlibabaWdkSupplierRefundListOrderSyncRefundChannel) SetRefundOrderId(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundChannel {
    s.RefundOrderId = &v
    return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundChannel) SetRefundChannel(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundChannel {
    s.RefundChannel = &v
    return s
}
func (s *AlibabaWdkSupplierRefundListOrderSyncRefundChannel) SetRefundAmount(v int64) *AlibabaWdkSupplierRefundListOrderSyncRefundChannel {
    s.RefundAmount = &v
    return s
}
